import React, { Component, PropTypes } from 'react'

export default class NavCTA extends Component {
  render () {
    const { first, header, links } = this.props

    return (
      <div className={ `nav-cta ${ first ? 'nav-cta--first' : '' } flex flex--wrap flex--center-all` }>
        <h2 className='nav-cta__header'>{ header }</h2>
        <ul style={{ width: '100%', padding: 0 }}>
          { links.map((link, i) =>
            <a
              key={ i }
              className='nav-cta__a'
              href={ link.href }>
              <li><strong>{ link.text }</strong></li>
            </a>
          ) }
        </ul>
      </div>
    )
  }
}

const { bool, string, shape, arrayOf } = PropTypes

NavCTA.propTypes = {
  first: bool,
  header: string.isRequired,
  links: arrayOf(shape({
    href: string.isRequired,
    text: string.isRequired
  }))
}
